import Keywalk from 'keywalk';
import { onWalkFunction, onSelectFunction } from './types';
import './style.scss';
interface IDataAliases {
    icon?: string;
    title?: string;
    subtitle?: string;
}
interface IConstructorArgs {
    selector: string;
    dropdownWidth?: string;
    dropdownClass?: string;
    data?: any[];
    dataAliases: IDataAliases;
    onWalk?: onWalkFunction;
    onSelect?: onSelectFunction;
    useKeywalk?: boolean;
}
interface IProperties {
    inputHeight: number;
    inputWidth: number;
    inputLeft: number;
    inputTop: number;
    input: HTMLInputElement;
    dropdown: HTMLElement;
    dropdownSpecificClass: string;
    isDropdownInserted: boolean;
    keywalkInstance: Keywalk;
}
export default class InputDropdown implements IProperties {
    args: IConstructorArgs;
    selector: string;
    data?: any[];
    dataAliases: IDataAliases;
    input: HTMLInputElement;
    inputHeight: number;
    inputWidth: number;
    inputLeft: number;
    inputTop: number;
    dropdown: HTMLElement;
    dropdownSpecificClass: string;
    dropdownWidth: string;
    dropdownClass: string;
    useKeywalk: boolean;
    isDropdownInserted: boolean;
    keywalkInstance: Keywalk;
    constructor(args: IConstructorArgs);
    private initInput;
    private setInputPosition;
    private initDropdown;
    private setDropdownPosition;
    private setDropdownItems;
    private insertDropdown;
    showDropdown(): void;
    hideDropdown(): void;
    private detectOnFocusInput;
    private detectOnBlurInputOrDropdown;
    private initKeywalk;
    private emitOnWalk;
    private emitOnSelect;
    updateData(updatedData: any[]): void;
    private observeDOM;
}
export {};
